// SampleApp_VC++_MFC.h : Hauptheaderdatei für die SampleApp_VC++_MFC-Anwendung
//
#pragma once

#ifndef __AFXWIN_H__
	#error 'stdafx.h' muss vor dieser Datei in PCH eingeschlossen werden.
#endif

#include "resource.h"       // Hauptsymbole


// CSampleApp_VC_MFCApp:
// Siehe SampleApp_VC++_MFC.cpp für die Implementierung dieser Klasse
//

class CSampleApp_VC_MFCApp : public CWinApp
{
public:
	CSampleApp_VC_MFCApp();


// Überschreibungen
public:
	virtual BOOL InitInstance();

// Implementierung
	afx_msg void OnAppAbout();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPortInitializeport();
	afx_msg void OnPortCloseport();
	afx_msg void OnTagmemoryReadro();
	afx_msg void OnTagmemoryWritero();
	afx_msg void OnTagmemoryReadblock64();
	afx_msg void OnTagmemoryWriteblock64();
	afx_msg void OnTagiReadin4();
	afx_msg void OnTagiiidlreadin2();
	afx_msg void OnTagiSetout2();
	afx_msg void OnReaderSetauto();
	afx_msg void OnReaderReadinterface();

	afx_msg void OnPortTypeSerial();
	afx_msg void OnPortTypeBluetoothSPP();
	afx_msg void OnPortTypeCompactFlash();
	afx_msg void OnPortTypeUSB();
	afx_msg void OnInterfaceType125K();
	afx_msg void OnInterfaceType13M56();
	afx_msg void OnInterfaceType868M();
	afx_msg void OnProtocolTypeIID3000();
	afx_msg void OnProtocolTypeIIDv4();
	afx_msg void OnProtocolTypeLEGIC();
	afx_msg void OnProtocolTypeCAEN();
	afx_msg void OnPortNameCOM1();
	afx_msg void OnPortNameCOM2();
	afx_msg void OnPortNameCOM3();
	afx_msg void OnPortNameCOM4();
	afx_msg void OnPortNameCOM5();
	afx_msg void OnPortNameCOM6();
	afx_msg void OnPortNameCOM7();
	afx_msg void OnPortNameCOM8();
	afx_msg void OnPortNameCOM9();
	afx_msg void OnPortNameCOM10();
	afx_msg void OnPortNameCOM11();
	afx_msg void OnPortNameCOM12();
	afx_msg void OnPortNameCOM13();
	afx_msg void OnPortNameCOM14();
	afx_msg void OnPortNameUSB();
	void UncheckMenus();
	void Update_Settings();

	afx_msg void OnSystemMaskISO15693();
	afx_msg void OnSystemMaskIIDL();
	afx_msg void OnSystemMaskIIDD();
	afx_msg void OnSystemMaskIIDG();
	afx_msg void OnSystemMaskARIORO();
	afx_msg void OnSystemMaskICODEUID();
	afx_msg void OnSystemMaskLEGICUID();
	afx_msg void OnSystemMaskISO14443A();
	afx_msg void OnSystemMaskISO14443B();
	afx_msg void OnSystemMaskLEGICFS();
	afx_msg void OnSystemMaskSetAll();
	afx_msg void OnSystemMaskClearAll();
	void UpdateSystemMask();

	afx_msg void OnDriverIdentify();
	afx_msg void OnDriverReadText();
	afx_msg void OnDriverWriteText();
	afx_msg void OnDriverRead();
	afx_msg void OnDriverWrite();

	afx_msg void OnIso18000Identify();
	afx_msg void OnIso18000Read();
	afx_msg void OnIso18000Write();

	afx_msg void OnIso18000ReadUIIs();
	afx_msg void OnIso18000ReadUIIsRSSI();
	afx_msg void OnIso18000GetAFI();
	afx_msg void OnIso18000SetAFI();
	afx_msg void OnIso18000ReadSecure();
	afx_msg void OnIso18000WriteSecure();
	afx_msg void OnIso18000WriteEpc();
	afx_msg void OnLockEpc();
	afx_msg void OnUnlockEpc();
	afx_msg void OnLockEpcSecure();
	afx_msg void OnUnlockEpcSecure();
};

extern CSampleApp_VC_MFCApp theApp;
